forked from pool/virtualbox
fb62e748b1
Version Bump to 6.1.40 This is a maintenance release. The following items were fixed and/or added: GUI: Fixed missed machine-items state translation on language change USB: Fixed possible crash when the device got detached while the controller is resetting the port Main: Provide guest's absolute pointing mouse device with buttons state when mouse integration is ON Linux Host and Guest Additions: Prevented build failure on 5.8+ 32-bit kernels Linux Host and Guest Additions: Introduced additional fixes for kernel 6.0 Linux Host and Guest Additions: Introduced additional fixes for Debian specific kernels Solaris and Linux Guest Additions: Added better handling of negative screen sizes which some X11 desktop environments are reporting Windows Guest Additions: Added fixes related to VBoxTray IPC - Fix boo#1204233 boo#1204331 boo#1202851 - Remove file fix_error_in_USB_header.patch - fixed upstream OBS-URL: https://build.opensuse.org/request/show/1029812 OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=661
41 lines
1.6 KiB
Diff
41 lines
1.6 KiB
Diff
# This patch file is to warn future maintainers of VirtualBox on openSUSE
|
|
# platforms that the distributed versions of vboxadd.sh and vboxdrv.sh
|
|
# contain security holes. If you need to use these scripts in the future,
|
|
# please consult the Security Group at openSUSE.
|
|
#
|
|
# January 31, 2019 - Larry Finger
|
|
#
|
|
Index: VirtualBox-6.1.40/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
===================================================================
|
|
--- VirtualBox-6.1.40.orig/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
+++ VirtualBox-6.1.40/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
@@ -838,9 +838,11 @@ dmnstatus()
|
|
fi
|
|
}
|
|
|
|
-for i; do
|
|
- case "$i" in quiet) QUIET=yes;; esac
|
|
-done
|
|
+echo "This script has insecurities. It must never be used in openSUSE without consultine Security."
|
|
+exit 1
|
|
+
|
|
+case "$2" in quiet)
|
|
+ QUIET=yes;;
|
|
case "$1" in
|
|
# Does setup without clean-up first and marks all kernels currently found on the
|
|
# system so that we can see later if any were added.
|
|
Index: VirtualBox-6.1.40/src/VBox/Installer/linux/vboxdrv.sh
|
|
===================================================================
|
|
--- VirtualBox-6.1.40.orig/src/VBox/Installer/linux/vboxdrv.sh
|
|
+++ VirtualBox-6.1.40/src/VBox/Installer/linux/vboxdrv.sh
|
|
@@ -38,6 +38,9 @@ DEVICE=/dev/vboxdrv
|
|
MODPROBE=/sbin/modprobe
|
|
SCRIPTNAME=vboxdrv.sh
|
|
|
|
+echo "This script has insecurities. It must never be used in openSUSE without consultine Security."
|
|
+exit 1
|
|
+
|
|
# The below is GNU-specific. See VBox.sh for the longer Solaris/OS X version.
|
|
TARGET=`readlink -e -- "${0}"` || exit 1
|
|
SCRIPT_DIR="${TARGET%/[!/]*}"
|